- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# bigip_snmp – Manipulate general SNMP settings on a BIG-IP

New in version 2.4.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manipulate general SNMP settings on a BIG-IP.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
agent_authentication_traps string | Choices: enabled disabled | When `enabled`, ensures that the system sends authentication warning traps to the trap destinations. This is usually disabled by default on a BIG-IP.
agent_status_traps string | Choices: enabled disabled | When `enabled`, ensures that the system sends a trap whenever the SNMP agent starts running or stops running. This is usually enabled by default on a BIG-IP.
allowed_addresses raw added in 2.6 |  | Configures the IP addresses of the SNMP clients from which the snmpd daemon accepts requests. This value can be hostnames, IP addresses, or IP networks. You may specify a single list item of `default` to set the value back to the system's default of `127.0.0.0/8`. You can remove all allowed addresses by either providing the word `none`, or by providing the empty string `""`.
contact string |  | Specifies the name of the person who administers the SNMP service for this system.
device_warning_traps string | Choices: enabled disabled | When `enabled`, ensures that the system sends device warning traps to the trap destinations. This is usually enabled by default on a BIG-IP.
location string |  | Specifies the description of this system's physical location.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| transport string | Choices: cli rest ← | Configures the transport connection to use when connecting to the remote device.
| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.
| validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates. You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.

- Requires BIG-IP software version >= 12.

- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Set snmp contact
      bigip_snmp:
        contact: Joe User
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

    - name: Set snmp location
      bigip_snmp:
        location: US West 1
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
agent_authentication_traps string | changed | Value that the authentication status traps was set to. Sample: enabled
agent_status_traps string | changed | Value that the agent status traps was set to. Sample: enabled
allowed_addresses list | changed | The new allowed addresses for SNMP client connections. Sample: ['127.0.0.0/8', 'foo.bar.com', '10.10.10.10']
contact string | changed | The new value for the person who administers SNMP on the device. Sample: Joe User
device_warning_traps string | changed | Value that the warning status traps was set to. Sample: enabled
location string | changed | The new value for the system's physical location. Sample: US West 1a

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)

- Wojciech Wypior (@wojtek0806)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.